From c3a26267ca2cce02193226172cf2d70a38eb1e81 Mon Sep 17 00:00:00 2001
From: Vladislav Zavjalov <slazav@altlinux.org>
Date: Wed, 19 Oct 2022 07:45:45 +0100
Subject: [PATCH] rename perl libraries to avoid collisions with old fvwm

(cherry-picking old commit)
---
 fvwm3/bin/fvwm-perllib.in                     |  2 +-
 fvwm3/configure.ac                            | 10 ++--
 fvwm3/doc/FvwmPerl.adoc                       |  2 +-
 fvwm3/fvwm/functable.c                        |  2 +-
 fvwm3/libs/Colorset.c                         |  2 +-
 fvwm3/modules/FvwmPerl/FvwmPerl.in            |  8 ++--
 fvwm3/perllib/{FVWM => FVWM3}/Commands.pm     | 16 +++----
 fvwm3/perllib/{FVWM => FVWM3}/Constants.pm    | 10 ++--
 fvwm3/perllib/{FVWM => FVWM3}/Event.pm        | 34 ++++++-------
 fvwm3/perllib/{FVWM => FVWM3}/EventNames.pm   | 18 +++----
 fvwm3/perllib/{FVWM => FVWM3}/Makefile.am     |  6 +--
 fvwm3/perllib/{FVWM => FVWM3}/Module.pm.in    | 48 +++++++++----------
 .../{FVWM => FVWM3}/Module/Makefile.am        |  2 +-
 .../{FVWM => FVWM3}/Module/Terminal.pm        | 22 ++++-----
 .../perllib/{FVWM => FVWM3}/Module/Toolkit.pm | 32 ++++++-------
 fvwm3/perllib/{FVWM => FVWM3}/Tracker.pm      | 34 ++++++-------
 .../{FVWM => FVWM3}/Tracker/Colorsets.pm      | 12 ++---
 .../{FVWM => FVWM3}/Tracker/GlobalConfig.pm   | 10 ++--
 .../{FVWM => FVWM3}/Tracker/Makefile.am       |  2 +-
 .../{FVWM => FVWM3}/Tracker/ModuleConfig.pm   | 12 ++---
 .../{FVWM => FVWM3}/Tracker/PageInfo.pm       | 10 ++--
 .../{FVWM => FVWM3}/Tracker/Scheduler.pm      | 14 +++---
 .../{FVWM => FVWM3}/Tracker/WindowList.pm     | 16 +++----
 fvwm3/perllib/{FVWM => FVWM3}/create-commands | 26 +++++-----
 .../perllib/{FVWM => FVWM3}/create-constants  | 10 ++--
 .../{General => FVWM3General}/FileSystem.pm   |  8 ++--
 .../{General => FVWM3General}/Makefile.am     |  2 +-
 .../{General => FVWM3General}/Parse.pm        |  6 +--
 fvwm3/perllib/Makefile.am                     |  2 +-
 29 files changed, 189 insertions(+), 189 deletions(-)
 rename fvwm3/perllib/{FVWM => FVWM3}/Commands.pm (98%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Constants.pm (95%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Event.pm (90%)
 rename fvwm3/perllib/{FVWM => FVWM3}/EventNames.pm (98%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Makefile.am (82%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Module.pm.in (96%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Module/Makefile.am (74%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Module/Terminal.pm (91%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Module/Toolkit.pm (90%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Tracker.pm (92%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Tracker/Colorsets.pm (94%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Tracker/GlobalConfig.pm (91%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Tracker/Makefile.am (81%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Tracker/ModuleConfig.pm (94%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Tracker/PageInfo.pm (93%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Tracker/Scheduler.pm (94%)
 rename fvwm3/perllib/{FVWM => FVWM3}/Tracker/WindowList.pm (96%)
 rename fvwm3/perllib/{FVWM => FVWM3}/create-commands (83%)
 rename fvwm3/perllib/{FVWM => FVWM3}/create-constants (86%)
 rename fvwm3/perllib/{General => FVWM3General}/FileSystem.pm (99%)
 rename fvwm3/perllib/{General => FVWM3General}/Makefile.am (74%)
 rename fvwm3/perllib/{General => FVWM3General}/Parse.pm (98%)

diff --git a/fvwm3/bin/fvwm-perllib.in b/fvwm3/bin/fvwm-perllib.in
index d872094..9499d8d 100644
--- a/fvwm3/bin/fvwm-perllib.in
+++ b/fvwm3/bin/fvwm-perllib.in
@@ -36,7 +36,7 @@ BEGIN {
 
 use Getopt::Long;
 use lib $perllibdir;
-use General::FileSystem '-die';
+use FVWM3General::FileSystem '-die';
 
 my $version = "@VERSION@";
 my $version_info = "@VERSIONINFO@";
diff --git a/fvwm3/configure.ac b/fvwm3/configure.ac
index 23fa0b8..3b5a8fe 100644
--- a/fvwm3/configure.ac
+++ b/fvwm3/configure.ac
@@ -1426,11 +1426,11 @@ dnl
 dnl
 	utils/Makefile
 	perllib/Makefile
-	perllib/General/Makefile
-	perllib/FVWM/Makefile
-	perllib/FVWM/Module/Makefile
-	perllib/FVWM/Tracker/Makefile
-	perllib/FVWM/Module.pm
+	perllib/FVWM3General/Makefile
+	perllib/FVWM3/Makefile
+	perllib/FVWM3/Module/Makefile
+	perllib/FVWM3/Tracker/Makefile
+	perllib/FVWM3/Module.pm
 	default-config/Makefile
 	doc/Makefile
 	po/Makefile
diff --git a/fvwm3/doc/FvwmPerl.adoc b/fvwm3/doc/FvwmPerl.adoc
index ab8d2ca..a4e1342 100644
--- a/fvwm3/doc/FvwmPerl.adoc
+++ b/fvwm3/doc/FvwmPerl.adoc
@@ -474,7 +474,7 @@ The _fvwm_ (1) man page describes all available commands.
 
 Basically, in your perl code you may use any function or class method
 from the perl library installed with fvwm, see the man pages of perl
-packages *General::FileSystem*, *General::Parse* and *FVWM::Module*.
+packages *FVWM3General::FileSystem*, *General::Parse* and *FVWM::Module*.
 
 == AUTHOR
 
diff --git a/fvwm3/fvwm/functable.c b/fvwm3/fvwm/functable.c
index ae018e6..67ff3df 100644
--- a/fvwm3/fvwm/functable.c
+++ b/fvwm3/fvwm/functable.c
@@ -49,7 +49,7 @@
 /* ---------------------------- exported variables (globals) --------------- */
 
 /* IMPORTANT: command description should not be longer than 53 characters. */
-/* If you change func_table format, change also perllib/FVWM/create-commands */
+/* If you change func_table format, change also perllib/FVWM3/create-commands */
 /* The next line must be blank for modules to properly parse this file. */
 
 const func_t func_table[] =
diff --git a/fvwm3/libs/Colorset.c b/fvwm3/libs/Colorset.c
index 46d7675..a120e14 100644
--- a/fvwm3/libs/Colorset.c
+++ b/fvwm3/libs/Colorset.c
@@ -147,7 +147,7 @@ int LoadColorset(char *line)
 	line += chars;
 
 	/* migo: if you modify this sscanf or other colorset definitions,
-	 * please update perllib/FVWM/Tracker/Colorsets.pm too */
+	 * please update perllib/FVWM3/Tracker/Colorsets.pm too */
 	if (sscanf(line,
 		   "%lx %lx %lx %lx %lx %lx %lx %lx %lx "
 		   "%x %x %x %x %x %x %x %x %x %x %x",
diff --git a/fvwm3/modules/FvwmPerl/FvwmPerl.in b/fvwm3/modules/FvwmPerl/FvwmPerl.in
index 95d79e9..50ff488 100644
--- a/fvwm3/modules/FvwmPerl/FvwmPerl.in
+++ b/fvwm3/modules/FvwmPerl/FvwmPerl.in
@@ -29,9 +29,9 @@ BEGIN {
 }
 
 use lib "@FVWM_PERLLIBDIR@";
-use FVWM::Module;
-use General::FileSystem "-quiet";
-use General::Parse;
+use FVWM3::Module;
+use FVWM3General::FileSystem "-quiet";
+use FVWM3General::Parse;
 use Getopt::Long;
 
 # ----------------------------------------------------------------------------
@@ -944,7 +944,7 @@ The fvwm(1) man page describes all available commands.
 
 Basically, in your perl code you may use any function or class method from
 the perl library installed with fvwm, see the man pages of perl packages
-B<General::FileSystem>, B<General::Parse> and B<FVWM::Module>.
+B<FVWM3General::FileSystem>, B<FVWM3General::Parse> and B<FVWM3::Module>.
 
 =head1 AUTHOR
 
diff --git a/fvwm3/perllib/FVWM/Commands.pm b/fvwm3/perllib/FVWM3/Commands.pm
similarity index 98%
rename from fvwm3/perllib/FVWM/Commands.pm
rename to fvwm3/perllib/FVWM3/Commands.pm
index eb926b6..9061f90 100644
--- a/fvwm3/perllib/FVWM/Commands.pm
+++ b/fvwm3/perllib/FVWM3/Commands.pm
@@ -1,6 +1,6 @@
 # Autogenerated from the fvwm sources.
 
-package FVWM::Commands;
+package FVWM3::Commands;
 
 use vars qw($VERS $TIME @LIST);
 
@@ -1084,7 +1084,7 @@ __END__
 
 =head1 NAME
 
-FVWM::Commands - lists all available fvwm commands
+FVWM3::Commands - lists all available fvwm commands
 
 =head1 DESCRIPTION
 
@@ -1096,13 +1096,13 @@ command name, its short description and some other command properties.
 =head1 USAGE
 
     use lib `fvwm-perllib dir`;
-    use FVWM::Commands;
+    use FVWM3::Commands;
     use POSIX;
 
-    my $date = strftime("%d-%b-%Y", gmtime($FVWM::Commands::TIME));
-    my $version = $FVWM::Commands::VERS;
+    my $date = strftime("%d-%b-%Y", gmtime($FVWM3::Commands::TIME));
+    my $version = $FVWM3::Commands::VERS;
     print "The recognized commands for fvwm $version as of $date:\n\n";
-    foreach my $command (@FVWM::Commands::LIST) {
+    foreach my $command (@FVWM3::Commands::LIST) {
         printf "  %-21s - %s\n", $command->{name}, $command->{descr};
     }
 
@@ -1122,7 +1122,7 @@ The unix time of the command list generation.
 Example:
 
     print "The fvwm command list found on your system was generated "
-        . (time() - $FVWM::Commands::TIME) / 86400 . " days ago\n";
+        . (time() - $FVWM3::Commands::TIME) / 86400 . " days ago\n";
 
 =item @LIST
 
@@ -1142,7 +1142,7 @@ I<window> is true for commands that need a window.
 Example:
 
     # get command names only
-    @command_names = map { $_->{name} } @FVWM::Commands::LIST;
+    @command_names = map { $_->{name} } @FVWM3::Commands::LIST;
 
 =back
 
diff --git a/fvwm3/perllib/FVWM/Constants.pm b/fvwm3/perllib/FVWM3/Constants.pm
similarity index 95%
rename from fvwm3/perllib/FVWM/Constants.pm
rename to fvwm3/perllib/FVWM3/Constants.pm
index 7ed1426..b28985c 100644
--- a/fvwm3/perllib/FVWM/Constants.pm
+++ b/fvwm3/perllib/FVWM3/Constants.pm
@@ -1,6 +1,6 @@
 # Autogenerated from the fvwm sources.
 
-package FVWM::Constants;
+package FVWM3::Constants;
 use Exporter;
 use Config;
 @ISA = qw(Exporter);
@@ -120,21 +120,21 @@ __END__
 
 =head1 NAME
 
-FVWM::Constants - exports fvwm specific constants
+FVWM3::Constants - exports fvwm specific constants
 
 =head1 DESCRIPTION
 
 This class is used to load fvwm constants into your perl script or class.
-Note, if you use I<FVWM::Module> the constants are automatically exported.
+Note, if you use I<FVWM3::Module> the constants are automatically exported.
 So you usually do not need to include this class.
 
 =head1 USAGE
 
-  use FVWM::Constants;
+  use FVWM3::Constants;
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module>.
+For more information, see L<FVWM3::Module>.
 
 =head1 EXPORTED CONSTANTS
 
diff --git a/fvwm3/perllib/FVWM/Event.pm b/fvwm3/perllib/FVWM3/Event.pm
similarity index 90%
rename from fvwm3/perllib/FVWM/Event.pm
rename to fvwm3/perllib/FVWM3/Event.pm
index c84dbc9..411af9e 100644
--- a/fvwm3/perllib/FVWM/Event.pm
+++ b/fvwm3/perllib/FVWM3/Event.pm
@@ -13,10 +13,10 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Event;
+package FVWM3::Event;
 
 use strict;
-use FVWM::EventNames;
+use FVWM3::EventNames;
 
 sub new ($$$) {
 	my $class = shift;
@@ -113,20 +113,20 @@ sub dump ($) {
 		my $value = shift @arg_values;
 
 		my $text;
-		if ($type == FVWM::EventNames::number) {
+		if ($type == FVWM3::EventNames::number) {
 			$text = $value;
 			$text = "*undefined*" unless defined $value;
-		} elsif ($type == FVWM::EventNames::bool) {
+		} elsif ($type == FVWM3::EventNames::bool) {
 			$text = $value? "True": "False";
-		} elsif ($type == FVWM::EventNames::window) {
+		} elsif ($type == FVWM3::EventNames::window) {
 			$text = sprintf("0x%07lx", $value);
-		} elsif ($type == FVWM::EventNames::pixel) {
+		} elsif ($type == FVWM3::EventNames::pixel) {
 			$text = "rgb:" . join('/',
 				sprintf("%06lx", $value) =~ /(..)(..)(..)/);
-		} elsif ($type == FVWM::EventNames::string) {
+		} elsif ($type == FVWM3::EventNames::string) {
 			$value =~ s/"/\\"/g;
 			$text = qq("$value");
-		} elsif ($type == FVWM::EventNames::looped) {
+		} elsif ($type == FVWM3::EventNames::looped) {
 			my $loop_arg_names = $self->loop_arg_names;
 			my $loop_arg_types = $self->loop_arg_types;
 			my $j = 0;
@@ -141,7 +141,7 @@ sub dump ($) {
 				}
 			}
 			$text = sprintf("(%d)", @$value / @$loop_arg_names);
-		} elsif ($type == FVWM::EventNames::wflags) {
+		} elsif ($type == FVWM3::EventNames::wflags) {
 			$text = qq([window flags are not supported yet]);
 		} else {
 			$text = qq([unsupported arg type $type] "$value");
@@ -159,7 +159,7 @@ sub AUTOLOAD ($;@) {
 	my $self = shift;
 	my @params = @_;
 
-	my $method = $FVWM::Event::AUTOLOAD;
+	my $method = $FVWM3::Event::AUTOLOAD;
 
 	# remove the package name
 	$method =~ s/.*://g;
@@ -184,14 +184,14 @@ sub AUTOLOAD ($;@) {
 
 =head1 NAME
 
-FVWM::Event - the fvwm event object passed to event handlers
+FVWM3::Event - the fvwm event object passed to event handlers
 
 =head1 SYNOPSIS
 
   use lib `fvwm-perllib dir`;
-  use FVWM::Module;
+  use FVWM3::Module;
 
-  my $module = new FVWM::Module(Mask => M_FOCUS_CHANGE);
+  my $module = new FVWM3::Module(Mask => M_FOCUS_CHANGE);
 
   # auto-raise all windows
   sub auto_raise ($$) {
@@ -217,7 +217,7 @@ To be written.
 
 Constructs event object of the given I<type>.
 I<arg_values> is either an array ref of event's arguments (every event type
-has its own argument list, see L<FVWM::EventNames>) or a packed string of
+has its own argument list, see L<FVWM3::EventNames>) or a packed string of
 these arguments as received from the I<fvwm> pipe.
 
 =item B<type>
@@ -295,7 +295,7 @@ name and all argument name=value lines.
 =item B<_>I<name>
 
 This is a shortcut for $event->args->{'I<name>'}. Returns the named event
-argument. See L<FVWM::EventNames> for names of all event argument names.
+argument. See L<FVWM3::EventNames> for names of all event argument names.
 
 =back
 
@@ -305,8 +305,8 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<fvwm>, L<FVWM::Module>, L<FVWM::Constants> and
-L<FVWM::EventNames>.
+For more information, see L<fvwm>, L<FVWM3::Module>, L<FVWM3::Constants> and
+L<FVWM3::EventNames>.
 
 =cut
 
diff --git a/fvwm3/perllib/FVWM/EventNames.pm b/fvwm3/perllib/FVWM3/EventNames.pm
similarity index 98%
rename from fvwm3/perllib/FVWM/EventNames.pm
rename to fvwm3/perllib/FVWM3/EventNames.pm
index 362aa6e..083343c 100644
--- a/fvwm3/perllib/FVWM/EventNames.pm
+++ b/fvwm3/perllib/FVWM3/EventNames.pm
@@ -13,10 +13,10 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::EventNames;
+package FVWM3::EventNames;
 
 use strict;
-use FVWM::Constants;
+use FVWM3::Constants;
 
 use constant number => 0;
 use constant bool   => 1;
@@ -506,7 +506,7 @@ $EVENTS_INFO = {
 use Exporter;
 use vars qw(@EXPORT @ISA $EVENT_TYPES $EVENT_NAMES $EVENT_TYPE_NAMES);
 @EXPORT = (
-	@FVWM::Constants::EXPORT,
+	@FVWM3::Constants::EXPORT,
 	qw(event_name event_arg_names event_arg_types event_arg_values event_args),
 	qw(event_loop_arg_names event_loop_arg_types),
 	qw(event_arg_aliases all_event_names all_event_types)
@@ -519,7 +519,7 @@ sub all_event_type_names () {
 		$EVENT_NAMES = [];
 		$EVENT_TYPE_NAMES = {};
 		my ($type, $name);
-		foreach $name (@FVWM::Constants::EXPORT) {
+		foreach $name (@FVWM3::Constants::EXPORT) {
 			next unless $name =~ /^MX?_/;
 			next if $name eq 'M_EXTENDED_MSG';
 			no strict 'refs';
@@ -558,7 +558,7 @@ sub event_type_to_binary ($) {
 sub event_info ($) {
 	my $type = shift;
 	unless (defined $EVENTS_INFO->{$type}) {
-		die "FVWM::EventNames: Unknown event type (" .
+		die "FVWM3::EventNames: Unknown event type (" .
 			event_type_to_binary($type) . ")\n";
 	}
 	return $EVENTS_INFO->{$type};
@@ -710,11 +710,11 @@ sub event_arg_aliases ($) {
 
 =head1 NAME
 
-FVWM::EventNames - names and types of all fvwm event arguments
+FVWM3::EventNames - names and types of all fvwm event arguments
 
 =head1 SYNOPSIS
 
-  use FVWM::EventNames;
+  use FVWM3::EventNames;
 
   print "All event names: ", join(", ", @{all_event_names()}), "\n";
   print "All event types: ", join(", ", @{all_event_types()}), "\n";
@@ -739,7 +739,7 @@ converting event type to event name, listing the event argument names/types,
 constructing event argument values from the plain packet data.
 
 Usually you do not need to work with this class directly, but, instead, with
-B<FVWM::Event> objects. Hovewer, you may need this class source as a
+B<FVWM3::Event> objects. Hovewer, you may need this class source as a
 reference for the names of the event arguments and their types.
 
 =head1 PUBLIC FUNCTIONS
@@ -814,7 +814,7 @@ Returns hash ref of all known event names and types (type => name).
 
 =head1 SEE ALSO
 
-L<FVWM::Event>.
+L<FVWM3::Event>.
 
 =cut
 
diff --git a/fvwm3/perllib/FVWM/Makefile.am b/fvwm3/perllib/FVWM3/Makefile.am
similarity index 82%
rename from fvwm3/perllib/FVWM/Makefile.am
rename to fvwm3/perllib/FVWM3/Makefile.am
index ddd0ed5..8a70906 100644
--- a/fvwm3/perllib/FVWM/Makefile.am
+++ b/fvwm3/perllib/FVWM3/Makefile.am
@@ -2,7 +2,7 @@
 
 SUBDIRS = Module Tracker
 
-configdir = @FVWM_PERLLIBDIR@/FVWM
+configdir = @FVWM_PERLLIBDIR@/FVWM3
 
 ORIGINAL_PMS = \
 	Commands.pm Constants.pm EventNames.pm Event.pm Tracker.pm
@@ -12,11 +12,11 @@ config_DATA = $(ORIGINAL_PMS) Module.pm
 EXTRA_DIST = $(ORIGINAL_PMS) create-commands create-constants
 
 _Constants.pm: Makefile.am $(top_srcdir)/libs/Module.h
-	cd $(top_builddir)/perllib/FVWM && \
+	cd $(top_builddir)/perllib/FVWM3 && \
 	(fvwm_libdir=$(top_builddir)/libs ./create-constants)
 
 _Commands.pm: Makefile $(top_srcdir)/fvwm/functable.c
-	cd $(top_builddir)/perllib/FVWM && \
+	cd $(top_builddir)/perllib/FVWM3 && \
 	(fvwm_libdir=$(top_builddir)/libs ./create-commands)
 
 regenerate: _Constants.pm _Commands.pm
diff --git a/fvwm3/perllib/FVWM/Module.pm.in b/fvwm3/perllib/FVWM3/Module.pm.in
similarity index 96%
rename from fvwm3/perllib/FVWM/Module.pm.in
rename to fvwm3/perllib/FVWM3/Module.pm.in
index 42c3282..3b7c22c 100644
--- a/fvwm3/perllib/FVWM/Module.pm.in
+++ b/fvwm3/perllib/FVWM3/Module.pm.in
@@ -13,7 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Module;
+package FVWM3::Module;
 
 use 5.004;
 use strict;
@@ -29,20 +29,20 @@ BEGIN {
 use lib "@FVWM_PERLLIBDIR@";
 use vars qw($VERSION @ISA @EXPORT $AUTOLOAD);
 
-use FVWM::Constants;
-use FVWM::Event;
+use FVWM3::Constants;
+use FVWM3::Event;
 
 use Exporter;
-@EXPORT = @FVWM::Constants::EXPORT;
+@EXPORT = @FVWM3::Constants::EXPORT;
 @ISA = qw(Exporter);
 
 # The major version part indicates major API changes
 $VERSION = '2.0';
 
 # Set the fvwm search directories (used for non fully qualified file names)
-$General::FileSystem::SAVE_FILE_DIR = $General::FileSystem::SAVE_FILE_DIR ||
+$FVWM3General::FileSystem::SAVE_FILE_DIR = $FVWM3General::FileSystem::SAVE_FILE_DIR ||
 	__PACKAGE__->user_data_dir();
-$General::FileSystem::LOAD_FILE_DIRS = $General::FileSystem::LOAD_FILE_DIRS ||
+$FVWM3General::FileSystem::LOAD_FILE_DIRS = $FVWM3General::FileSystem::LOAD_FILE_DIRS ||
 	[ __PACKAGE__->search_dirs() ];
 
 sub internal_die ($$) {
@@ -178,7 +178,7 @@ sub disconnect ($) {
 	return if $self->{disconnected};
 
 	$self->{disconnected} = 1;
-	$self->invoke_handler(new FVWM::Event(ON_EXIT));
+	$self->invoke_handler(new FVWM3::Event(ON_EXIT));
 
 	if (defined $self->{ostream} && $self->{ostream}->opened) {
 		# TODO: should wait until fvwm actually gets it
@@ -498,13 +498,13 @@ sub process_packet ($;$$) {
 	($type, $packet) = @{$self->{last_packet}} unless defined $packet;
 	return undef unless defined $packet;
 
-	my $event = eval { new FVWM::Event($type, $packet); };
+	my $event = eval { new FVWM3::Event($type, $packet); };
 	$self->internal_die($@ || "Internal error") unless defined $event;
 
 	if ($self->{debug}) {
 		my $msg = "got " . $event->name;
 		$msg .= " [" . $event->arg_values->[-1] . "]"
-			if @{$event->arg_types} && $event->arg_types->[-1] == FVWM::EventNames::string();
+			if @{$event->arg_types} && $event->arg_types->[-1] == FVWM3::EventNames::string();
 		$self->debug($msg, 2);
 	}
 
@@ -521,7 +521,7 @@ sub emulate_event ($$$) {
 	my ($type, $packet) = @_;
 
 	if ($self->{is_in_event_loop}) {
-		$self->invoke_handler(new FVWM::Event($type, $packet));
+		$self->invoke_handler(new FVWM3::Event($type, $packet));
 		return;
 	}
 
@@ -595,7 +595,7 @@ sub track ($$;$@) {
 	my $tracker_type = shift;
 
 	my $tracker_class = $tracker_type =~ /::/
-		? $tracker_type : "FVWM::Tracker::$tracker_type";
+		? $tracker_type : "FVWM3::Tracker::$tracker_type";
 	# load a tracker class if not yet
 	unless (defined $self->{used_tracker_classes}->{$tracker_class}) {
 		eval "use $tracker_class;"; die $@ if $@;
@@ -700,14 +700,14 @@ __END__
 
 =head1 NAME
 
-FVWM::Module - the base class representing fvwm module
+FVWM3::Module - the base class representing fvwm module
 
 =head1 SYNOPSIS
 
     use lib `fvwm-perllib dir`;
-    use FVWM::Module;
+    use FVWM3::Module;
 
-    my $module = new FVWM::Module;
+    my $module = new FVWM3::Module;
 
     $module->send("Beep");
 
@@ -729,7 +729,7 @@ FVWM::Module - the base class representing fvwm module
 
 An fvwm module is a separate program that communicates with the main I<fvwm>
 process, receives a module configuration and events and sends commands back.
-This class B<FVWM::Module> makes it easy to create fvwm modules in Perl.
+This class B<FVWM3::Module> makes it easy to create fvwm modules in Perl.
 
 If you are interested in all module protocol details that this class tries
 to make invisible, visit the web page
@@ -827,14 +827,14 @@ The following parameters may be given in the constractor:
 
 Example:
 
-    my $module = new FVWM::Module(
+    my $module = new FVWM3::Module(
         Name => "FvwmPerlBasedWindowRearranger",
         Mask => M_CONFIGURE_WINDOW | M_END_WINDOWLIST,
         EnableOptions => { "animate" => \$a, "cascade" => \$c },
         Debug => 2,
     );
 
-Event types needed for the 4 mask parameters are defined in B<FVWM::Constants>.
+Event types needed for the 4 mask parameters are defined in B<FVWM3::Constants>.
 
 Set I<Debug> to 2 to nicely dump all communication with fvwm (sent commands
 and received events). Setting it to 3 makes it even more verbose.
@@ -873,7 +873,7 @@ for this flag is 1.
 
 =item B<track> [I<mode-hash>] [I<name>] [I<param-hash>]
 
-Creates a module tracker object (see L<FVWM::Tracker>) specified
+Creates a module tracker object (see L<FVWM3::Tracker>) specified
 by a I<name>.
 
 I<mode-hash> may include parameters:
@@ -882,7 +882,7 @@ I<mode-hash> may include parameters:
     NoReuse - true value means not to reuse any existing named tracker
 
 I<param-hash> is specific to the tracker named I<name>. Every tracker class
-(a subclass of B<FVWM::Tracker>) has its own manual page, contact it for
+(a subclass of B<FVWM3::Tracker>) has its own manual page, contact it for
 the tracker details and usage.
 
 =item B<event_loop>
@@ -945,7 +945,7 @@ This deletes all event handlers without exception.
 
 Defines a handler (that is a I<code> subroutine) for the given I<mask> event
 (or several events). Usually the event type is one of the fvwm I<M_*> or
-I<MX_*> constants (see B<FVWM::Constants>), but it may also be I<ON_EXIT>,
+I<MX_*> constants (see B<FVWM3::Constants>), but it may also be I<ON_EXIT>,
 this special event is called just before the event loop is terminated.
 
 The I<mask> may include several events in the same category (the event types
@@ -958,7 +958,7 @@ The handler subroutine is called with these parameters:
 
     ($self, $event)
 
-where C<$self> is a module object, C<$event> is B<FVWM::Event> object.
+where C<$self> is a module object, C<$event> is B<FVWM3::Event> object.
 
 If the I<mask> includes more than one event type, use C<$event-E<gt>type>
 to dispatch event types if needed.
@@ -1125,7 +1125,7 @@ is processed immediately if in the event loop, or just before the real
 B<read_packet> otherwise.
 
 The parameters are the same as in B<process_packet> and the same as in
-L<FVWM::Event> constructor.
+L<FVWM3::Event> constructor.
 
 =item B<event_loop_prepared>
 
@@ -1172,7 +1172,7 @@ Awaiting for your reporting.
 
 =head1 CAVEATS
 
-In keeping with the UNIX philosophy, B<FVWM::Module> does not keep you from
+In keeping with the UNIX philosophy, B<FVWM3::Module> does not keep you from
 doing stupid things, as that would also keep you from doing clever things.
 What this means is that there are several areas with which you can hang your
 module or even royally confuse your running I<fvwm> process. This is due to
@@ -1188,6 +1188,6 @@ Randy J. Ray <randy@byz.org>.
 
 =head1 SEE ALSO
 
-For more information, see L<fvwm> andcL<FVWM::Tracker>.
+For more information, see L<fvwm> andcL<FVWM3::Tracker>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Module/Makefile.am b/fvwm3/perllib/FVWM3/Module/Makefile.am
similarity index 74%
rename from fvwm3/perllib/FVWM/Module/Makefile.am
rename to fvwm3/perllib/FVWM3/Module/Makefile.am
index 7b867f3..3993e62 100644
--- a/fvwm3/perllib/FVWM/Module/Makefile.am
+++ b/fvwm3/perllib/FVWM3/Module/Makefile.am
@@ -1,6 +1,6 @@
 ## Process this file with automake to create Makefile.in
 
-configdir = @FVWM_PERLLIBDIR@/FVWM/Module
+configdir = @FVWM_PERLLIBDIR@/FVWM3/Module
 
 config_DATA = Toolkit.pm Terminal.pm
 
diff --git a/fvwm3/perllib/FVWM/Module/Terminal.pm b/fvwm3/perllib/FVWM3/Module/Terminal.pm
similarity index 91%
rename from fvwm3/perllib/FVWM/Module/Terminal.pm
rename to fvwm3/perllib/FVWM3/Module/Terminal.pm
index 0d6bfc0..d6e7920 100644
--- a/fvwm3/perllib/FVWM/Module/Terminal.pm
+++ b/fvwm3/perllib/FVWM3/Module/Terminal.pm
@@ -16,7 +16,7 @@
 BEGIN {
 	if ($ENV{FVWM_MODULE_TERMINAL_CLIENT}) {
 		my ($out_fd, $in_fd, $name, $prompt, $ornaments) = @ARGV;
-		$name ||= "FVWM::Module::Terminal";
+		$name ||= "FVWM3::Module::Terminal";
 		$prompt ||= "";
 		$ornaments ||= 0;
 		$name .= " Client";
@@ -54,13 +54,13 @@ print "($ostream) ($istream)\n";
 	}
 }
 
-package FVWM::Module::Terminal;
+package FVWM3::Module::Terminal;
 
 use 5.004;
 use strict;
 
-use FVWM::Module::Toolkit qw(base IO::Select);
-use General::Parse;
+use FVWM3::Module::Toolkit qw(base IO::Select);
+use FVWM3General::Parse;
 
 sub new ($@) {
 	my $class = shift;
@@ -145,7 +145,7 @@ __END__
 
 =head1 NAME
 
-FVWM::Module::Terminal - FVWM::Module with X terminal based solutions
+FVWM3::Module::Terminal - FVWM3::Module with X terminal based solutions
 
 =head1 SYNOPSIS
 
@@ -156,9 +156,9 @@ Name this module TestModuleTerminal, make it executable and place in ModulePath:
     #!/usr/bin/perl -w
 
     use lib `fvwm-perllib dir`;
-    use FVWM::Module::Terminal;
+    use FVWM3::Module::Terminal;
 
-    my $module = new FVWM::Module::Terminal(
+    my $module = new FVWM3::Module::Terminal(
         XTerm => 'rxvt', Debug => 2, Name => "TestModuleTerminal",
     );
 
@@ -184,13 +184,13 @@ Name this module TestModuleTerminal, make it executable and place in ModulePath:
 
 NOTE: This class is not functional yet.
 
-The B<FVWM::Module::Terminal> class is a sub-class of
-B<FVWM::Module::Toolkit> that overloads the methods B<wait_packet>,
+The B<FVWM3::Module::Terminal> class is a sub-class of
+B<FVWM3::Module::Toolkit> that overloads the methods B<wait_packet>,
 B<show_error>, B<show_message> and B<show_debug> to manage terminal
 functionality.
 
 This manual page details only those differences. For details on the
-API itself, see L<FVWM::Module>.
+API itself, see L<FVWM3::Module>.
 
 =head1 METHODS
 
@@ -232,6 +232,6 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<fvwm>, L<FVWM::Module> and L<Term::ReadLine>.
+For more information, see L<fvwm>, L<FVWM3::Module> and L<Term::ReadLine>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Module/Toolkit.pm b/fvwm3/perllib/FVWM3/Module/Toolkit.pm
similarity index 90%
rename from fvwm3/perllib/FVWM/Module/Toolkit.pm
rename to fvwm3/perllib/FVWM3/Module/Toolkit.pm
index d2d4c41..dac7bd8 100644
--- a/fvwm3/perllib/FVWM/Module/Toolkit.pm
+++ b/fvwm3/perllib/FVWM3/Module/Toolkit.pm
@@ -13,17 +13,17 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Module::Toolkit;
+package FVWM3::Module::Toolkit;
 
 use 5.004;
 use strict;
 use vars qw($VERSION @ISA $_dialog_tool);
 
-use FVWM::Module;
+use FVWM3::Module;
 
 BEGIN {
-	$VERSION = $FVWM::Module::VERSION;
-	@ISA = qw(FVWM::Module);
+	$VERSION = $FVWM3::Module::VERSION;
+	@ISA = qw(FVWM3::Module);
 }
 
 sub import ($@) {
@@ -39,13 +39,13 @@ sub import ($@) {
 			my $caller2 = (caller(1))[0];
 			eval "
 				package $caller2;
-				use FVWM::Constants;
+				use FVWM3::Constants;
 
 				package $caller;
 				use vars qw(\$VERSION \@ISA);
-				use FVWM::Constants;
-				\$VERSION = \$FVWM::Module::Toolkit::VERSION;
-				\@ISA = qw(FVWM::Module::Toolkit);
+				use FVWM3::Constants;
+				\$VERSION = \$FVWM3::Module::Toolkit::VERSION;
+				\@ISA = qw(FVWM3::Module::Toolkit);
 			";
 			if ($@) {
 				die "Internal error:\n$@";
@@ -65,7 +65,7 @@ sub import ($@) {
 	}
 	if ($error) {
 		my $script_name = $0; $script_name =~ s|.*/||;
-		my $error_title = 'FVWM Perl library error';
+		my $error_title = 'FVWM3 Perl library error';
 		my $error_msg = "$script_name requires Perl package $name to be installed.\n\n";
 		$error_msg .= "You may either find it as a binary package for your distribution\n";
 		$error_msg .= "or download it from CPAN, http://cpan.org/modules/by-module/ .\n";
@@ -145,7 +145,7 @@ __END__
 
 =head1 NAME
 
-FVWM::Module::Toolkit - FVWM::Module with abstract widget toolkit attached
+FVWM3::Module::Toolkit - FVWM3::Module with abstract widget toolkit attached
 
 =head1 SYNOPSIS
 
@@ -155,15 +155,15 @@ the nice dialog if absent.
 There is the same syntactic sugar as in "perl -M", with an addition
 of ">=" being fully equivalent to "=". The ">=" form may look better for
 the user in the error message. If the required Perl class is absent,
-FVWM::Module::Toolkit->show_message() is used to show the dialog and the
+FVWM3::Module::Toolkit->show_message() is used to show the dialog and the
 application dies.
 
 2) This class should be uses to implement concrete toolkit subclasses.
 A new toolkit subclass implementation may look like this:
 
-    package FVWM::Module::SomeToolkit;
+    package FVWM3::Module::SomeToolkit;
     # this automatically sets the base class and tries "use SomeToolkit;"
-    use FVWM::Module::Toolkit qw(base SomeToolkit);
+    use FVWM3::Module::Toolkit qw(base SomeToolkit);
 
     sub show_error ($$;$) {
         my ($self, $error, $title) = @_;
@@ -198,7 +198,7 @@ A new toolkit subclass implementation may look like this:
 
 =head1 DESCRIPTION
 
-The B<FVWM::Module::Toolkit> package is a sub-class of B<FVWM::Module> that
+The B<FVWM3::Module::Toolkit> package is a sub-class of B<FVWM3::Module> that
 is intended to be uses as the base of sub-classes that attach widget
 toolkit library.  It does some common work to load
 widget toolkit libraries and to show an error in the external window like
@@ -211,7 +211,7 @@ class, they extend the superclass versions by adding a title parameter and
 using an external dialog tool to show error/message.
 
 This manual page details only those differences. For details on the
-API itself, see L<FVWM::Module>.
+API itself, see L<FVWM3::Module>.
 
 =head1 METHODS
 
@@ -262,6 +262,6 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<fvwm>, L<FVWM::Module>.
+For more information, see L<fvwm>, L<FVWM3::Module>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Tracker.pm b/fvwm3/perllib/FVWM3/Tracker.pm
similarity index 92%
rename from fvwm3/perllib/FVWM/Tracker.pm
rename to fvwm3/perllib/FVWM3/Tracker.pm
index c1b267a..4e13f36 100644
--- a/fvwm3/perllib/FVWM/Tracker.pm
+++ b/fvwm3/perllib/FVWM3/Tracker.pm
@@ -13,12 +13,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Tracker;
+package FVWM3::Tracker;
 
 use 5.004;
 use strict;
 
-use FVWM::Constants;
+use FVWM3::Constants;
 
 sub import ($@) {
 	my $class = shift;
@@ -31,8 +31,8 @@ sub import ($@) {
 			eval "
 				package $caller;
 				use vars qw(\@ISA);
-				use FVWM::Constants;
-				\@ISA = qw(FVWM::Tracker);
+				use FVWM3::Constants;
+				\@ISA = qw(FVWM3::Tracker);
 			";
 			if ($@) {
 				die "Internal error:\n$@";
@@ -44,8 +44,8 @@ sub import ($@) {
 sub new ($$) {
 	my $class = shift;
 	my $module = shift;
-	die "$class: no FVWM::Module object given in constructor\n"
-		unless UNIVERSAL::isa($module, "FVWM::Module");
+	die "$class: no FVWM3::Module object given in constructor\n"
+		unless UNIVERSAL::isa($module, "FVWM3::Module");
 	my $self = {
 		module => $module,
 		data   => undef,
@@ -152,7 +152,7 @@ sub start ($) {
 
 	$self->{active} = 1;
 
-	$self->{module}->FVWM::Module::event_loop(1)
+	$self->{module}->FVWM3::Module::event_loop(1)
 		if %{$self->{handler_ids}};
 
 	return $self->data;
@@ -263,7 +263,7 @@ and to define high level events for the tracker caller to observe.
 
 =head1 SYNOPSYS
 
-Using B<FVWM::Module> $module object:
+Using B<FVWM3::Module> $module object:
 
     my $tracker = $module->track("TrackerName", @params);
     my $initial_data = $tracker->data;
@@ -272,7 +272,7 @@ Using B<FVWM::Module> $module object:
 
 In the future this syntax will probably work too:
 
-    my $tracker = new FVWM::Tracker::TrackerName($module, @params);
+    my $tracker = new FVWM3::Tracker::TrackerName($module, @params);
     my $initial_data = $tracker->start;
     $tracker->observe("observable1", sub { shift->data });
     $tracker->observe("observable2", sub { shift->stop });
@@ -312,7 +312,7 @@ observers are defined.
 
 Defines an observer that will be called every time the tracker I<observable>
 happens. The I<observer-callback> is a CODE reference that gets the
-following parameters: $module (B<FVWM::Module> object), $tracker (this object),
+following parameters: $module (B<FVWM3::Module> object), $tracker (this object),
 $data (the same as returned by B<data> method) and optional observable
 parameters that are specific to this I<observable>.
 
@@ -363,12 +363,12 @@ This superclass method should be called by subclasses.
 Please do not use this class method in programs, use the first syntax shown
 in the I<SYNOPSYS> section instead.
  
-I<module> is an B<FVWM::Module> instance.
+I<module> is an B<FVWM3::Module> instance.
 I<param-hash> is specific to the concrete Tracker class.
 
 =item B<add_handler> I<type> I<handler>
 
-A wrapper to B<FVWM::Module>::B<add_handler>, has the same syntax, but stores
+A wrapper to B<FVWM3::Module>::B<add_handler>, has the same syntax, but stores
 all handlers so they may be deleted at once using B<delete_handlers>.
 
 =item B<delete_handlers> [I<handler-ids>]
@@ -401,7 +401,7 @@ loop in response to I<M_END_CONFIG_INFO> event.
 =item B<internal_die>
 
 Subclasses may call this method when something wrong happens.
-This is a wrapper to B<FVWM::Module>::B<internal_die>.
+This is a wrapper to B<FVWM3::Module>::B<internal_die>.
 
 =item B<to_be_disconnected>
 
@@ -416,9 +416,9 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module> and the concrete tracker
-implementations: L<FVWM::Tracker::Colorsets>, L<FVWM::Tracker::GlobalConfig>,
-L<FVWM::Tracker::ModuleConfig>, L<FVWM::Tracker::PageInfo>,
-L<FVWM::Tracker::Scheduler>, L<FVWM::Tracker::WindowList>.
+For more information, see L<FVWM3::Module> and the concrete tracker
+implementations: L<FVWM3::Tracker::Colorsets>, L<FVWM3::Tracker::GlobalConfig>,
+L<FVWM3::Tracker::ModuleConfig>, L<FVWM3::Tracker::PageInfo>,
+L<FVWM3::Tracker::Scheduler>, L<FVWM3::Tracker::WindowList>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Tracker/Colorsets.pm b/fvwm3/perllib/FVWM3/Tracker/Colorsets.pm
similarity index 94%
rename from fvwm3/perllib/FVWM/Tracker/Colorsets.pm
rename to fvwm3/perllib/FVWM3/Tracker/Colorsets.pm
index 162271a..2fe72c5 100644
--- a/fvwm3/perllib/FVWM/Tracker/Colorsets.pm
+++ b/fvwm3/perllib/FVWM3/Tracker/Colorsets.pm
@@ -13,12 +13,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Tracker::Colorsets;
+package FVWM3::Tracker::Colorsets;
 
 use strict;
 
-use FVWM::Tracker qw(base);
-use General::Parse qw(get_tokens);
+use FVWM3::Tracker qw(base);
+use FVWM3General::Parse qw(get_tokens);
 
 use constant CS_FIELDS => qw(
 	fg bg hilite shadow fgsh tint icon_tint
@@ -137,7 +137,7 @@ __END__
 
 =head1 DESCRIPTION
 
-This is a subclass of B<FVWM::Tracker> that enables to read the colorset
+This is a subclass of B<FVWM3::Tracker> that enables to read the colorset
 definitions.
 
 This tracker defines the following observable:
@@ -149,7 +149,7 @@ old colorset data hash ref.
 
 =head1 SYNOPSYS
  
-Using B<FVWM::Module> $module object:
+Using B<FVWM3::Module> $module object:
 
     my $cs_tracker = $module->track("Colorsets");
     my $cs_hash = $cs_tracker->data;
@@ -189,6 +189,6 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module> and L<FVWM::Tracker>.
+For more information, see L<FVWM3::Module> and L<FVWM3::Tracker>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Tracker/GlobalConfig.pm b/fvwm3/perllib/FVWM3/Tracker/GlobalConfig.pm
similarity index 91%
rename from fvwm3/perllib/FVWM/Tracker/GlobalConfig.pm
rename to fvwm3/perllib/FVWM3/Tracker/GlobalConfig.pm
index 7ce4399..87bcd74 100644
--- a/fvwm3/perllib/FVWM/Tracker/GlobalConfig.pm
+++ b/fvwm3/perllib/FVWM3/Tracker/GlobalConfig.pm
@@ -13,11 +13,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Tracker::GlobalConfig;
+package FVWM3::Tracker::GlobalConfig;
 
 use strict;
 
-use FVWM::Tracker qw(base);
+use FVWM3::Tracker qw(base);
 
 sub observables ($) {
 	return [
@@ -96,14 +96,14 @@ __END__
 
 =head1 DESCRIPTION
 
-This is a subclass of B<FVWM::Tracker> that enables to read the global
+This is a subclass of B<FVWM3::Tracker> that enables to read the global
 FVWM configuration.
 
     "value changed"
 
 =head1 SYNOPSYS
 
-Using B<FVWM::Module> $module object:
+Using B<FVWM3::Module> $module object:
 
     my $config_tracker = $module->track("GlobalConfig");
     my $config_hash = $config_tracker->data;
@@ -136,6 +136,6 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module> and L<FVWM::Tracker>.
+For more information, see L<FVWM3::Module> and L<FVWM3::Tracker>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Tracker/Makefile.am b/fvwm3/perllib/FVWM3/Tracker/Makefile.am
similarity index 81%
rename from fvwm3/perllib/FVWM/Tracker/Makefile.am
rename to fvwm3/perllib/FVWM3/Tracker/Makefile.am
index 02991de..954b13f 100644
--- a/fvwm3/perllib/FVWM/Tracker/Makefile.am
+++ b/fvwm3/perllib/FVWM3/Tracker/Makefile.am
@@ -1,6 +1,6 @@
 ## Process this file with automake to create Makefile.in
 
-configdir = @FVWM_PERLLIBDIR@/FVWM/Tracker
+configdir = @FVWM_PERLLIBDIR@/FVWM3/Tracker
 
 config_DATA = \
 	Colorsets.pm GlobalConfig.pm ModuleConfig.pm PageInfo.pm \
diff --git a/fvwm3/perllib/FVWM/Tracker/ModuleConfig.pm b/fvwm3/perllib/FVWM3/Tracker/ModuleConfig.pm
similarity index 94%
rename from fvwm3/perllib/FVWM/Tracker/ModuleConfig.pm
rename to fvwm3/perllib/FVWM3/Tracker/ModuleConfig.pm
index 56fcbe3..c47eec6 100644
--- a/fvwm3/perllib/FVWM/Tracker/ModuleConfig.pm
+++ b/fvwm3/perllib/FVWM3/Tracker/ModuleConfig.pm
@@ -13,11 +13,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Tracker::ModuleConfig;
+package FVWM3::Tracker::ModuleConfig;
 
 use strict;
 
-use FVWM::Tracker qw(base);
+use FVWM3::Tracker qw(base);
 
 sub observables ($) {
 	return [
@@ -30,7 +30,7 @@ sub new ($$%) {
 	my $module = shift;
 	my %params = @_;
 
-	my $self = $class->FVWM::Tracker::new($module);
+	my $self = $class->FVWM3::Tracker::new($module);
 
 	$self->{is_hash} = 1;
 	$self->{module_name} = $self->{module}->name;
@@ -140,7 +140,7 @@ __END__
 
 =head1 DESCRIPTION
 
-This is a subclass of B<FVWM::Tracker> that enables to read the module
+This is a subclass of B<FVWM3::Tracker> that enables to read the module
 configuration.  The module configuration is usually represented using a hash,
 but it may be represented as array of lines too.
 
@@ -150,7 +150,7 @@ This tracker defines the following observables:
 
 =head1 SYNOPSYS
  
-Using B<FVWM::Module> $module object:
+Using B<FVWM3::Module> $module object:
 
     my $config_tracker = $module->track("ModuleConfig");
     my $config_hash = $config_tracker->data;
@@ -208,6 +208,6 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module> and L<FVWM::Tracker>.
+For more information, see L<FVWM3::Module> and L<FVWM3::Tracker>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Tracker/PageInfo.pm b/fvwm3/perllib/FVWM3/Tracker/PageInfo.pm
similarity index 93%
rename from fvwm3/perllib/FVWM/Tracker/PageInfo.pm
rename to fvwm3/perllib/FVWM3/Tracker/PageInfo.pm
index 21c40e5..520717e 100644
--- a/fvwm3/perllib/FVWM/Tracker/PageInfo.pm
+++ b/fvwm3/perllib/FVWM3/Tracker/PageInfo.pm
@@ -13,11 +13,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Tracker::PageInfo;
+package FVWM3::Tracker::PageInfo;
 
 use strict;
 
-use FVWM::Tracker qw(base);
+use FVWM3::Tracker qw(base);
 
 sub observables ($) {
 	return [
@@ -85,7 +85,7 @@ __END__
 
 =head1 DESCRIPTION
 
-This B<FVWM::Tracker> subclass provides an information about the current
+This B<FVWM3::Tracker> subclass provides an information about the current
 fvwm page and desk and screen dimensions. Like with all trackers, this
 information is automatically brought up to the date for the entire tracker
 object life and may be retrieved by its C<data> method.
@@ -99,7 +99,7 @@ of work:
 
 =head1 SYNOPSYS
 
-Using B<FVWM::Module> $module object:
+Using B<FVWM3::Module> $module object:
 
     my $page_tracker = $module->track("PageInfo");
     my $page_hash = $page_tracker->data;
@@ -137,6 +137,6 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module> and L<FVWM::Tracker>.
+For more information, see L<FVWM3::Module> and L<FVWM3::Tracker>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Tracker/Scheduler.pm b/fvwm3/perllib/FVWM3/Tracker/Scheduler.pm
similarity index 94%
rename from fvwm3/perllib/FVWM/Tracker/Scheduler.pm
rename to fvwm3/perllib/FVWM3/Tracker/Scheduler.pm
index ef4c6cc..7d3fa2f 100644
--- a/fvwm3/perllib/FVWM/Tracker/Scheduler.pm
+++ b/fvwm3/perllib/FVWM3/Tracker/Scheduler.pm
@@ -13,11 +13,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Tracker::Scheduler;
+package FVWM3::Tracker::Scheduler;
 
 use strict;
 
-use FVWM::Tracker qw(base);
+use FVWM3::Tracker qw(base);
 
 sub observables ($) {
 	return [
@@ -30,10 +30,10 @@ sub new ($$%) {
 	my $module = shift;
 	my %params = @_;
 
-	my $self = $class->FVWM::Tracker::new($module);
+	my $self = $class->FVWM3::Tracker::new($module);
 
 	$self->{random_base_number} = 8000000 + int(rand(900000));
-	$self->{sent_string_prefix} = "FVWM::Tracker::Scheduler alarm ";
+	$self->{sent_string_prefix} = "FVWM3::Tracker::Scheduler alarm ";
 	$self->{module_name} = $params{ModuleName} || $self->{module}->name;
 	$self->{use_alarm} = (exists $params{UseAlarm}
 		? $params{UseAlarm} : $module->is_dummy) ? 1 : 0;
@@ -183,7 +183,7 @@ __END__
 
 =head1 DESCRIPTION
 
-This is a subclass of B<FVWM::Tracker> that enables to define alarm callback,
+This is a subclass of B<FVWM3::Tracker> that enables to define alarm callback,
 several at the same time.
 
 This tracker defines the following observables:
@@ -202,7 +202,7 @@ don't expect the alarm method to work at all.
 
 =head1 SYNOPSYS
  
-Using B<FVWM::Module> $module object:
+Using B<FVWM3::Module> $module object:
 
     # beep every 40 seconds; exit in 100 seconds
 
@@ -276,6 +276,6 @@ Mikhael Goikhman <migo@homemail.com>.
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module> and L<FVWM::Tracker>.
+For more information, see L<FVWM3::Module> and L<FVWM3::Tracker>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/Tracker/WindowList.pm b/fvwm3/perllib/FVWM3/Tracker/WindowList.pm
similarity index 96%
rename from fvwm3/perllib/FVWM/Tracker/WindowList.pm
rename to fvwm3/perllib/FVWM3/Tracker/WindowList.pm
index 649f42a..7fe01bb 100644
--- a/fvwm3/perllib/FVWM/Tracker/WindowList.pm
+++ b/fvwm3/perllib/FVWM3/Tracker/WindowList.pm
@@ -13,11 +13,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package FVWM::Tracker::WindowList;
+package FVWM3::Tracker::WindowList;
 
 use strict;
 
-use FVWM::Tracker qw(base);
+use FVWM3::Tracker qw(base);
 
 my $window_events = M_ADD_WINDOW | M_CONFIGURE_WINDOW | M_DESTROY_WINDOW |
 	M_ICONIFY | M_DEICONIFY;
@@ -47,7 +47,7 @@ sub new ($$;$) {
 	my $module = shift;
 	my @options = split(/ /, shift || "");
 
-	my $self = $class->FVWM::Tracker::new($module);
+	my $self = $class->FVWM3::Tracker::new($module);
 
 	$self->{options} = [ @options ];
 	return $self;
@@ -157,7 +157,7 @@ sub calculate_internals ($$) {
 
 	my $window = $data->{$win_id} ||=
 		bless { id => $win_id, iconified => 0, _tracker => $self },
-		"FVWM::Window";
+		"FVWM3::Window";
 
 	# There are some fields that are not unique to all events. To ensure
 	# we don't clobber them, we rename some fields. For example, the 'name'
@@ -257,7 +257,7 @@ sub windows ($) {
 
 # ----------------------------------------------------------------------------
 
-package FVWM::Window;
+package FVWM3::Window;
 
 sub match ($$) {
 	my $self = shift;
@@ -303,7 +303,7 @@ __END__
 
 =head1 DESCRIPTION
 
-This is a subclass of B<FVWM::Tracker> that enables to read the window
+This is a subclass of B<FVWM3::Tracker> that enables to read the window
 information.
 
 This tracker defines the following observables:
@@ -321,7 +321,7 @@ This tracker defines the following observables:
 
 =head1 SYNOPSYS
  
-Using B<FVWM::Module> $module object:
+Using B<FVWM3::Module> $module object:
 
     my $tracker = $module->track("WindowList");
     my @windows = $tracker->windows;
@@ -388,6 +388,6 @@ Returns hash ref of page/desk info, or actual hash value using B<field> as a key
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module> and L<FVWM::Tracker>.
+For more information, see L<FVWM3::Module> and L<FVWM3::Tracker>.
 
 =cut
diff --git a/fvwm3/perllib/FVWM/create-commands b/fvwm3/perllib/FVWM3/create-commands
similarity index 83%
rename from fvwm3/perllib/FVWM/create-commands
rename to fvwm3/perllib/FVWM3/create-commands
index b6d6113..aaf02c7 100755
--- a/fvwm3/perllib/FVWM/create-commands
+++ b/fvwm3/perllib/FVWM3/create-commands
@@ -2,7 +2,7 @@
 
 use FindBin;
 use lib "$FindBin::Bin/..";
-use General::FileSystem;
+use FVWM3General::FileSystem;
 use POSIX;
 
 chdir($FindBin::Bin) || die "Can't chmod $FindBin::Bin: $!\n";
@@ -39,7 +39,7 @@ my $time = time;
 my $output = <<ENDOUTPUT;
 # Autogenerated from the fvwm sources.
 
-package FVWM::Commands;
+package FVWM3::Commands;
 
 use vars qw(\$VERS \$TIME \@LIST);
 
@@ -55,7 +55,7 @@ __END__
 
 =head1 NAME
 
-FVWM::Commands - lists all available fvwm commands
+FVWM3::Commands - lists all available fvwm commands
 
 =head1 DESCRIPTION
 
@@ -67,13 +67,13 @@ command name, its short description and some other command properties.
 =head1 USAGE
 
     use lib `fvwm-perllib dir`;
-    use FVWM::Commands;
+    use FVWM3::Commands;
     use POSIX;
 
-    my \$date = strftime("%d-%b-%Y", gmtime(\$FVWM::Commands::TIME));
-    my \$version = \$FVWM::Commands::VERS;
+    my \$date = strftime("%d-%b-%Y", gmtime(\$FVWM3::Commands::TIME));
+    my \$version = \$FVWM3::Commands::VERS;
     print "The recognized commands for fvwm \$version as of \$date:\\n\\n";
-    foreach my \$command (\@FVWM::Commands::LIST) {
+    foreach my \$command (\@FVWM3::Commands::LIST) {
         printf "  %-21s - %s\\n", \$command->{name}, \$command->{descr};
     }
 
@@ -93,7 +93,7 @@ The unix time of the command list generation.
 Example:
 
     print "The fvwm command list found on your system was generated "
-        . (time() - \$FVWM::Commands::TIME) / 86400 . " days ago\\n";
+        . (time() - \$FVWM3::Commands::TIME) / 86400 . " days ago\\n";
 
 =item \@LIST
 
@@ -113,7 +113,7 @@ I<window> is true for commands that need a window.
 Example:
 
     # get command names only
-    \@command_names = map { \$_->{name} } \@FVWM::Commands::LIST;
+    \@command_names = map { \$_->{name} } \@FVWM3::Commands::LIST;
 
 =back
 
@@ -136,14 +136,14 @@ save_file("Commands.pm", \$output);
 print "Testing  Commands.pm\n";
 eval qq{
 	use lib '$FindBin::Bin/..';
-	use FVWM::Commands;
+	use FVWM3::Commands;
 };
 die $@ if $@;
-$FVWM::Commands::TIME ||= 0;  # avoid "used once" warning
+$FVWM3::Commands::TIME ||= 0;  # avoid "used once" warning
 
-my $date = strftime("%d-%b-%Y", gmtime($FVWM::Commands::TIME));
+my $date = strftime("%d-%b-%Y", gmtime($FVWM3::Commands::TIME));
 my $cmds = "The recognized commands for fvwm $version as of $date:\n\n";
-foreach my $command (@FVWM::Commands::LIST = @FVWM::Commands::LIST) {
+foreach my $command (@FVWM3::Commands::LIST = @FVWM3::Commands::LIST) {
 	$cmds .= sprintf "  %-21s - %s\n", $command->{name}, $command->{descr};
 }
 
diff --git a/fvwm3/perllib/FVWM/create-constants b/fvwm3/perllib/FVWM3/create-constants
similarity index 86%
rename from fvwm3/perllib/FVWM/create-constants
rename to fvwm3/perllib/FVWM3/create-constants
index a5b66ba..3bcc940 100755
--- a/fvwm3/perllib/FVWM/create-constants
+++ b/fvwm3/perllib/FVWM3/create-constants
@@ -8,7 +8,7 @@ outfile=`dirname $0`/Constants.pm
 ( \
 	echo "# Autogenerated from the fvwm sources."; \
 	echo ""; \
-	echo "package FVWM::Constants;"; \
+	echo "package FVWM3::Constants;"; \
 	echo "use Exporter;"; \
 	echo "use Config;"; \
 	echo "@ISA = qw(Exporter);"; \
@@ -56,21 +56,21 @@ __END__
 
 =head1 NAME
 
-FVWM::Constants - exports fvwm specific constants
+FVWM3::Constants - exports fvwm specific constants
 
 =head1 DESCRIPTION
 
 This class is used to load fvwm constants into your perl script or class.
-Note, if you use I<FVWM::Module> the constants are automatically exported.
+Note, if you use I<FVWM3::Module> the constants are automatically exported.
 So you usually do not need to include this class.
 
 =head1 USAGE
 
-  use FVWM::Constants;
+  use FVWM3::Constants;
 
 =head1 SEE ALSO
 
-For more information, see L<FVWM::Module>.
+For more information, see L<FVWM3::Module>.
 
 =head1 EXPORTED CONSTANTS
 "; \
diff --git a/fvwm3/perllib/General/FileSystem.pm b/fvwm3/perllib/FVWM3General/FileSystem.pm
similarity index 99%
rename from fvwm3/perllib/General/FileSystem.pm
rename to fvwm3/perllib/FVWM3General/FileSystem.pm
index ab5d4c8..ed7806e 100644
--- a/fvwm3/perllib/General/FileSystem.pm
+++ b/fvwm3/perllib/FVWM3General/FileSystem.pm
@@ -13,7 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package General::FileSystem;
+package FVWM3General::FileSystem;
 require 5.004;
 use strict;
 
@@ -51,11 +51,11 @@ BEGIN {
 
 =head1 NAME
 
-General::FileSystem - file system specific functions
+FVWM3General::FileSystem - file system specific functions
 
 =head1 SYNOPSIS
 
-  use General::FileSystem "-die", "-debug";  # die on errors
+  use FVWM3General::FileSystem "-die", "-debug";  # die on errors
 
   eval {
     make_path("/tmp/my-own/dir");
@@ -80,7 +80,7 @@ General::FileSystem - file system specific functions
 
 or just:
 
-  use General::FileSystem;
+  use FVWM3General::FileSystem;
   copy_file("origin.txt", "backup.txt");
 
 =head1 DESCRIPTION
diff --git a/fvwm3/perllib/General/Makefile.am b/fvwm3/perllib/FVWM3General/Makefile.am
similarity index 74%
rename from fvwm3/perllib/General/Makefile.am
rename to fvwm3/perllib/FVWM3General/Makefile.am
index b6dd9e8..db82eb7 100644
--- a/fvwm3/perllib/General/Makefile.am
+++ b/fvwm3/perllib/FVWM3General/Makefile.am
@@ -1,6 +1,6 @@
 ## Process this file with automake to create Makefile.in
 
-configdir = @FVWM_PERLLIBDIR@/General
+configdir = @FVWM_PERLLIBDIR@/FVWM3General
 
 config_DATA = FileSystem.pm Parse.pm
 
diff --git a/fvwm3/perllib/General/Parse.pm b/fvwm3/perllib/FVWM3General/Parse.pm
similarity index 98%
rename from fvwm3/perllib/General/Parse.pm
rename to fvwm3/perllib/FVWM3General/Parse.pm
index 4d1e87f..80ccb1b 100644
--- a/fvwm3/perllib/General/Parse.pm
+++ b/fvwm3/perllib/FVWM3General/Parse.pm
@@ -13,7 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see: <http://www.gnu.org/licenses/>
 
-package General::Parse;
+package FVWM3General::Parse;
 use strict;
 
 use vars qw(@ISA @EXPORT);
@@ -87,11 +87,11 @@ sub nei ($$) {
 
 =head1 NAME
 
-General::Parse - parsing functions
+FVWM3General::Parse - parsing functions
 
 =head1 SYNOPSIS
 
-  use General::Parse;
+  use FVWM3General::Parse;
 
   my $string = q{Some "not very long" string of 6 tokens.};
   my $token1 = cut_token(\$string);          # $token1 = "Some";
diff --git a/fvwm3/perllib/Makefile.am b/fvwm3/perllib/Makefile.am
index ba6dcf0..0852249 100644
--- a/fvwm3/perllib/Makefile.am
+++ b/fvwm3/perllib/Makefile.am
@@ -1,6 +1,6 @@
 ## Process this file with automake to create Makefile.in
 
-SUBDIRS = FVWM General
+SUBDIRS = FVWM3 FVWM3General
 
 uninstall-hook:
 	rm -fr @FVWM_DATADIR@/perllib
-- 
2.33.8

